> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/members/patch.md).

# patch

## HTTP Request

```http
PATCH /api/v1/organizations/:organizationName/members/:userName
```

## Path parameters

| Parameter        |                                       |
| ---------------- | ------------------------------------- |
| organizationName | The name of the organization          |
| userName         | The username of the particular member |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

You must be an administrator of the organization, and your access token must have the following scope:

* organization.write

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

Provide a JSON object with the properties you would like to update. All properties are optional.

| Property name      | Type          | Description                                                                                                                                                                                                                                                                                                      |
| ------------------ | ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **status**         | **string**    | Used to update the member's status. Must be one of `approved` , `rejected`                                                                                                                                                                                                                                       |
| **labels**         | **string\[]** | A list of labels to assign to the member, replacing any existing labels. Labels cannot contain spaces, and may have a single colon to delineate a categorical label (e.g., `school:medicine`). Labels are case-insensitive, and are stored lowercase. Cannot be combined with `labelsToAdd` or `labelsToRemove`. |
| **labelsToAdd**    | **string\[]** | A list of labels to add to the member, keeping any existing labels. Cannot be combined with `labels`.                                                                                                                                                                                                            |
| **labelsToRemove** | **string\[]** | A list of labels to remove from the member. Labels that the member doesn't have are ignored. Cannot be combined with `labels`, and a label can't appear in both `labelsToAdd` and `labelsToRemove`.                                                                                                              |

{% hint style="warning" %}
A member can have at most 25 labels.
{% endhint %}

## Response body

The response body will contain a JSON representation of a [member.get resource](/api/resource-definitions/member.md), reflecting the update.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/rest-api/members/patch.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
